import "reflect-metadata";
import { Container } from "./container/Container";
import App from "./App";
import Logger from "./class/Logger";
import EntryPoint from "./class/provider/EntryPoint";

@EntryPoint
class _ {
    static main() {
        Container.setLogger(new Logger());
        Container.factory(App).run();
    }
}
